%define sl_kernel_pkgs kernel* *-kmdl-* kmod-* *firmware*

Name:		SL_yum-cron_no_default_excludes
Version:	1.0
Release:	1%{?dist}
Summary:	Remove SL default yum-cron excludes

Group:		SL
License:	GPL
URL:		www.scientificlinux.org

BuildArch: noarch

Requires(post):	coreutils policycoreutils
Requires(post):	yum-cron >= 3.4.3
Requires(post):	augeas >= 1.1.0

%description
By default yum-cron will act on all avalible updates.
This rpm will modify yum-cron to skip kernel updates matching:
%{sl_kernel_pkgs}

%files
%defattr(-,root,root,-)
%doc

%post -p /bin/bash
TMPFILE=$(mktemp)
for pkg in %{sl_kernel_pkgs}; do
    echo "rm /files/etc/yum/yum-cron.conf/base/exclude[ . = '$pkg' ]" >> $TMPFILE
done

augtool -b -s -f $TMPFILE >/dev/null 2>&1
rm -f $TMPFILE >/dev/null 2>&1
restorecon /etc/yum/yum-cron.conf >/dev/null 2>&1

%preun -p /bin/bash
# if this is an uninstall only (not an upgrade)
if [[ $1 -eq 0 ]]; then
    TMPFILE=$(mktemp)
    for pkg in %{sl_kernel_pkgs}; do
        echo "rm /files/etc/yum/yum-cron.conf/base/exclude[ . = '${pkg}' ]" >> $TMPFILE
        echo "set /files/etc/yum/yum-cron.conf/base/exclude[${RANDOM}] $pkg ]" >> $TMPFILE
    done

    augtool -b -s -f $TMPFILE >/dev/null 2>&1
    rm -f $TMPFILE >/dev/null 2>&1
    restorecon /etc/yum/yum-cron.conf >/dev/null 2>&1
fi

%changelog
* Mon Jul 14 2014 Pat Riehecky <riehecky@fnal.gov> - 1.0-1.sl7
- Initial build for SL7
